> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ERC-721 balances by address

Get ERC-721 (NFT) balances for a given address [BEING DEPRECATED IN FAVOR OF /nfts/balance]

` GET /insights/v1/tokens/erc721/{ownerAddress} `

**Deprecated.**

Get ERC-721 balances by address

Get ERC-721 (NFT) balances for a given address [BEING DEPRECATED IN FAVOR OF /nfts/balance]

## Servers

- ` https://data-api.b3.fun/ ` — B3 Data API - Multi-Chain Proxy

## Parameters

### ` ownerAddress ` (path, required)

- ` value `: type ` string `

  - Title: address (hex or ENS)

  - example: ` "vitalik.eth" `

Example:

```json
"vitalik.eth"
```

### ` chain ` (query, optional)

Use chain_id instead

- ` value `: type ` array `

  - example: ` [20,56,1] `

  - ` array item `: type ` number `

Example:

```json
[
  20,
  56,
  1
]
```

### ` chain_id ` (query, optional)

The chain ID(s) to request the data for. You can specify multiple chain IDs, up to a maximum of 55. Use repeated query parameters, e.g., `?chain_id=20&chain_id=56`. Optional, because a single chain can as well be specified as a subdomain

- ` value `: type ` array `

  - example: ` [20,56,1] `

  - ` array item `: type ` number `

Example:

```json
[
  20,
  56,
  1
]
```

### ` limit ` (query, optional)

- ` value `: type ` integer ` — The number of items to return

  - default: ` 20 `

  - example: ` 20 `

  - minimum: ` 0 `

  - maximum: ` 1000 `

Example:

```json
20
```

### ` page ` (query, optional)

- ` value `: type ` integer `; nullable — Page number (0-indexed). Maximum value depends on query parameters: 20 for regular queries, 500 when using aggregate or group_by parameters.

  - default: ` 0 `

  - example: ` 0 `

  - minimum: ` 0 `

Example:

```json
0
```

### ` metadata ` (query, optional)

- ` value `: type ` string ` — Whether to include metadata for the tokens

  - enum: ` ["true","false"] `

  - default: ` "false" `

  - example: ` "false" `

Example:

```json
"false"
```

### ` resolve_metadata_links ` (query, optional)

- ` value `: type ` string ` — Whether to resolve metadata IPFS or Arweave links

  - enum: ` ["true","false"] `

  - default: ` "true" `

  - example: ` "false" `

Example:

```json
"false"
```

## Responses

### ` 200 ` — Successful response

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` data `

  - ` data `: type ` array `

    - ` array item `: type ` object `

      - Required fields: ` chain_id `, ` token_address `, ` token_id `, ` balance `

      - ` chain_id `: type ` number ` — The chain ID of a relevant entry

        - example: ` 1 `

      - ` token_address `: type ` string `

        - Title: address (hex or ENS)

        - example: ` "vitalik.eth" `

      - ` token_id `: type ` string `

      - ` balance `: type ` string `

      - ` name `: type ` string `

      - ` description `: type ` string `

      - ` image_url `: type ` string `

      - ` video_url `: type ` string `

      - ` animation_url `: type ` string `

      - ` background_color `: type ` string `

      - ` external_url `: type ` string `

      - ` status `: type ` string `

      - ` metadata_url `: type ` string `

      - ` owner_addresses `: type ` array `

        - ` array item `: type ` string `

      - ` extra_metadata `: type ` unknown `

        - ` allOf constraint 1 `: type ` object `

        - ` allOf constraint 2 `: type ` object `

          - ` attributes `: type ` unknown `

            - ` anyOf alternative 1 `: type ` array `

              - ` array item `: type ` object `

                - Required fields: ` trait_type `, ` value `

                - ` trait_type `: type ` string `

                - ` value `: type ` unknown `

                  - ` anyOf alternative 1 `: type ` string `

                  - ` anyOf alternative 2 `: type ` number `

                - ` display_type `: type ` string `

            - ` anyOf alternative 2 `: type ` object `

          - ` properties `: type ` object `

      - ` collection `: type ` object `

        - ` name `: type ` string `

        - ` description `: type ` string `

        - ` image_url `: type ` string `

        - ` banner_image_url `: type ` string `

        - ` featured_image_url `: type ` string `

        - ` external_link `: type ` string `

      - ` contract `: type ` object `

        - Required fields: ` chain_id `, ` address `

        - ` chain_id `: type ` number ` — The chain ID of a relevant entry

          - example: ` 1 `

        - ` address `: type ` string `

          - Title: address (hex or ENS)

          - example: ` "vitalik.eth" `

        - ` name `: type ` string `

        - ` symbol `: type ` string `

        - ` type `: type ` string `

          - enum: ` ["erc721","erc1155"] `

### ` 400 ` — Bad request

### ` 500 ` — Internal server error

## Request examples

### cURL

```curl
curl -X GET 'https://data-api.b3.fun//insights/v1/tokens/erc721/vitalik.eth'
```

### JavaScript

```javascript
const response = await fetch('https://data-api.b3.fun//insights/v1/tokens/erc721/vitalik.eth', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.get('https://data-api.b3.fun//insights/v1/tokens/erc721/vitalik.eth')
print(response.json())
```